> # NAME

> cgGetTypeClass - get the parameter class associated with a type enumerant

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGparameterclass cgGetTypeClass( CGtype type );

> # PARAMETERS

> type

>   The type enumerant.

> # RETURN VALUES

> Returns the parameter class of the enumerant type. Possible return values are:

>       B<CG_PARAMETERCLASS_UNKNOWN>
>       B<CG_PARAMETERCLASS_SCALAR>
>       B<CG_PARAMETERCLASS_VECTOR>
>       B<CG_PARAMETERCLASS_MATRIX>
>       B<CG_PARAMETERCLASS_STRUCT>
>       B<CG_PARAMETERCLASS_ARRAY>
>       B<CG_PARAMETERCLASS_SAMPLER>
>       B<CG_PARAMETERCLASS_OBJECT>

> # DESCRIPTION

> cgGetTypeClass returns the parameter class associated with a type enumerant. For example, cgGetTypeClass(CG_FLOAT3x4) returns CG_PARAMETERCLASS_MATRIX while cgGetTypeClass(CG_HALF) returns CG_PARAMETERCLASS_SCALAR and cgGetTypeClass(CG_BOOL3) returns CG_PARAMETERCLASS_VECTOR.

> CG_PARAMETERCLASS_UNKNOWN is returned if the type is unknown.

> # EXAMPLES

> to-be-written

> # ERRORS

> None

> # HISTORY

> cgGetTypeClass was introduced in Cg 1.5.

> # SEE ALSO

> cgGetType, cgGetTypeBase, cgGetParameterType